Experiences
DELETE /experience-pages/{id}
Delete a page
DELETE
/
experience-pages
/
{id}
cURL
curl --request DELETE \
--url https://admin.fanfare.io/api/experience-pages/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/experience-pages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/experience-pages/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/experience-pages/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"creativeDocument": {
"body": {
"nodes": [
"<string>"
],
"subjectTemplate": "<string>"
},
"editor": "email-components-v1",
"kind": "announcement-email",
"schemaVersion": 1,
"themeOverrides": {
"background": "<string>",
"danger": "<string>",
"fontFamily": "<string>",
"fontHeading": "<string>",
"headerImageUrl": "<string>",
"logoUrl": "<string>",
"muted": "<string>",
"primary": "<string>",
"secondary": "<string>",
"success": "<string>",
"surface": "<string>",
"text": "<string>",
"variant": "default",
"warning": "<string>"
}
},
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"creativeDesignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creativeTemplateKey": "<string>",
"lastPublishedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"publishedAt": "2023-11-07T05:31:56Z",
"status": "DRAFT",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Fanfare secret key. Keep secret credentials on your server.
Path Parameters
Response
Page deleted successfully
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Available options:
DRAFT, PUBLISHED ⌘I
cURL
curl --request DELETE \
--url https://admin.fanfare.io/api/experience-pages/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/experience-pages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/experience-pages/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/experience-pages/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"creativeDocument": {
"body": {
"nodes": [
"<string>"
],
"subjectTemplate": "<string>"
},
"editor": "email-components-v1",
"kind": "announcement-email",
"schemaVersion": 1,
"themeOverrides": {
"background": "<string>",
"danger": "<string>",
"fontFamily": "<string>",
"fontHeading": "<string>",
"headerImageUrl": "<string>",
"logoUrl": "<string>",
"muted": "<string>",
"primary": "<string>",
"secondary": "<string>",
"success": "<string>",
"surface": "<string>",
"text": "<string>",
"variant": "default",
"warning": "<string>"
}
},
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"creativeDesignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creativeTemplateKey": "<string>",
"lastPublishedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"publishedAt": "2023-11-07T05:31:56Z",
"status": "DRAFT",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}